List campaigns with WhatsApp agent settings
curl --request GET \
--url https://api.pineyard.ai/whatsapp/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"agentName": "<string>",
"whatsappEnabled": true,
"whatsappSenderId": "<string>",
"whatsappAgentCollectionIds": [
"<string>"
],
"whatsappAgentTemplateIds": [
"<string>"
],
"recoveryLinkEnabled": true,
"whatsappPaymentLinkEnabled": true,
"whatsappPaymentTemplateId": "<string>",
"paymentLinkBaseUrl": "<string>"
}
]
}Campaign settings
List campaigns with WhatsApp agent settings
GET
/
whatsapp
/
campaigns
List campaigns with WhatsApp agent settings
curl --request GET \
--url https://api.pineyard.ai/whatsapp/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"agentName": "<string>",
"whatsappEnabled": true,
"whatsappSenderId": "<string>",
"whatsappAgentCollectionIds": [
"<string>"
],
"whatsappAgentTemplateIds": [
"<string>"
],
"recoveryLinkEnabled": true,
"whatsappPaymentLinkEnabled": true,
"whatsappPaymentTemplateId": "<string>",
"paymentLinkBaseUrl": "<string>"
}
]
}
